Bug 80441 - [PATCH] editors/jed: A lot of changes, take maintainership
Summary: [PATCH] editors/jed: A lot of changes, take maintainership
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jean-Yves Lefort
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-04-28 20:20 UTC by Renato Botelho
Modified: 2005-05-15 21:02 UTC (History)
1 user (show)

See Also:


Attachments
jed-0.99.16_1.patch (23.30 KB, patch)
2005-04-28 20:20 UTC, Renato Botelho
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Renato Botelho 2005-04-28 20:20:02 UTC
- Sort plist, use DOCSDIR macro and add $FreeBSD$ tag;
- Use INFO instead install-info command, and add patches to put section and dir-entry on info files;
- The port install files on wrong place, after it, remove these files manually using ${RM} and install manually in other place, so, I patch src/Makefile.in and simplify it;
- Move STRIP_CMD commands to src/Makefile.in;
- Take maintainership, since maintainer is inactive over 2 years.

Added file(s):
- files/patch-info_jed.1in
- files/patch-info_jed.2in
- files/patch-info_jed.3in
- files/patch-info_jed.info
- files/patch-src_Makefile.in
- files/patch-src_jprocess.c

Removed file(s):
- files/patch-aa
- files/patch-ab

Port maintainer (s_bschmi@ira.uka.de) is cc'd.

Generated with FreeBSD Port Tools 0.63
Comment 1 Renato Botelho 2005-04-29 00:26:44 UTC
BTW, maintainer agreed to give me the maintainership.

----- Forwarded message from Benedikt Schmidt <ry102@rz.uni-karlsruhe.de> -----

Date: Fri, 29 Apr 2005 00:52:38 +0200
From: Benedikt Schmidt <ry102@rz.uni-karlsruhe.de>
To: Renato Botelho <freebsd@galle.com.br>
Cc: s_bschmi@ira.uka.de
Subject: Re: About FreeBSD jed port

Hi,

Sounds fine to me, i have to admit that i don't have a FreeBSD box around
anymore and have forgotten to give up maintainership of the port when that
happened.

So if you want to be the new maintainer of the jed port, that would be cool.

Regards,
  Benedikt


----- End forwarded message -----

-- 
Renato Botelho <freebsd at galle dot com dot br>
AIM: RBGargaBR | ICQ: 54596223
GnuPG Key: http://www.galle.com.br/~renato/pubkey.asc

The primary requisite for any new tax law is for it to exempt enough
voters to win the next election.
Comment 2 Jean-Yves Lefort freebsd_committer 2005-04-29 01:06:32 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jylefort

Take.
Comment 3 Renato Botelho 2005-05-02 15:44:25 UTC
Dear commiter,

Please, use this new patch. I uses MAKE_ENV instead some patches on
Makefile.in.

Thanks

=3D=3D=3D> Updating from CVS
M Makefile
M pkg-descr
M pkg-plist
R files/patch-aa
R files/patch-ab
A files/patch-info_jed.1in
A files/patch-info_jed.2in
A files/patch-info_jed.3in
A files/patch-info_jed.info
A files/patch-src_Makefile.in
A files/patch-src_jprocess.c
=3D=3D=3D> Generating patch
=3D=3D=3D> Viewing diff with more
Index: Makefile
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
RCS file: /home/ncvs/ports/editors/jed/Makefile,v
retrieving revision 1.21
diff -u -r1.21 Makefile
--- Makefile	1 Nov 2004 19:12:09 -0000	1.21
+++ Makefile	2 May 2005 14:41:46 -0000
@@ -12,15 +12,18 @@
 MASTER_SITES=3D	ftp://space.mit.edu/pub/davis/jed/v${PORTVERSION:R}/
 DISTNAME=3D	${PORTNAME}-${PORTVERSION:R}-${PORTVERSION:E}
=20
-MAINTAINER=3D	s_bschmi@ira.uka.de
+MAINTAINER=3D	freebsd@galle.com.br
 COMMENT=3D	A SLang-based text editor
=20
 LIB_DEPENDS=3D	slang.1:${PORTSDIR}/devel/libslang
=20
+USE_REINPLACE=3D	yes
+
 .if !defined(WITHOUT_X11)
 USE_XLIB=3D	yes
 XJED=3D		xjed
 PLIST_SUB+=3D	NOXJED=3D""
+MAKE_ENV+=3D	XJED=3Dyes
 .else
 PLIST_SUB+=3D	NOXJED=3D"@comment "
 .endif
@@ -30,35 +33,26 @@
 CONFIGURE_ENV+=3D	JED_ROOT=3D${PREFIX}/lib/jed \
 		CFLAGS=3D"-I${LOCALBASE}/include" \
 		LDFLAGS=3D"-L${LOCALBASE}/lib"
+MAKE_ENV+=3D	DEST_INFO_DIR=3D${PREFIX}/${INFO_PATH} \
+		DEST_DOC_DIR=3D${DOCSDIR} \
+		STRIP_CMD=3D${STRIP_CMD}
+.if defined(NOPORTDOCS)
+MAKE_ENV+=3D	JED_WITHOUT_DOCS=3Dyes
+.endif
 ALL_TARGET=3D	all getmail ${XJED}
 MAN1=3D		jed.1 rgrep.1
+INFO=3D		jed
=20
-pre-install:
-	${LN} -sf ${WRKSRC}/autoconf/mkinsdir.sh  ${WRKSRC}/
+pre-configure:
+.for n in 1 2 3
+	@${MV} ${WRKSRC}/info/jed.${n}in ${WRKSRC}/info/jed.info-${n}
+.endfor
+	@${REINPLACE_CMD} 's|jed.\([0-9]\)in|jed.info-\1|' \
+		${WRKSRC}/info/jed.info
=20
 post-install:
-	${STRIP_CMD} ${PREFIX}/bin/jed
-	${STRIP_CMD} ${PREFIX}/bin/rgrep
-	${STRIP_CMD} ${PREFIX}/lib/jed/bin/getmail
-.for f in ${XJED}
-	${STRIP_CMD} ${PREFIX}/bin/$f
-.endfor
-#	${CP} -R ${WRKSRC}/lib/* ${PREFIX}/lib/jed/lib
 	${INSTALL_DATA} ${WRKSRC}/lib/vms_shell.com ${PREFIX}/lib/jed/lib
 	${INSTALL_DATA} ${WRKSRC}/lib/README ${PREFIX}/lib/jed/lib
 	${INSTALL_DATA} ${WRKSRC}/lib/jed.conf ${PREFIX}/lib/jed/lib
-	-${RM} -f ${PREFIX}/lib/jed/info/*
-	-${RMDIR} ${PREFIX}/lib/jed/info
-	-${RM} -f ${PREFIX}/lib/jed/doc/txt/*
-	-${RMDIR} ${PREFIX}/lib/jed/doc/txt
-.if !defined(NOPORTDOCS)
-	${MKDIR} ${PREFIX}/share/doc/jed
-	${INSTALL_DATA} ${WRKSRC}/doc/txt/*.txt \
-		${PREFIX}/share/doc/jed
-	${INSTALL_DATA} ${WRKSRC}/info/jed.* ${PREFIX}/info
-	install-info --section=3D"Miscellaneous" \
-		--entry=3D"* JED: (jed).			JED editor documentation." \
-		${PREFIX}/info/jed.info ${PREFIX}/info/dir
-.endif
=20
 .include <bsd.port.mk>
Index: pkg-descr
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
RCS file: /home/ncvs/ports/editors/jed/pkg-descr,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 pkg-descr
--- pkg-descr	4 Jun 1997 06:32:23 -0000	1.1.1.1
+++ pkg-descr	2 May 2005 14:41:46 -0000
@@ -4,3 +4,5 @@
 available, and most any keystrokes can be programmed.n  JED is customizabl=
e=20
 and programmable in the language SLANG, which can look like forth or c,=20
 depending on your preferences.
+
+WWW: http://www.jedsoft.org/jed/
Index: pkg-plist
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
RCS file: /home/ncvs/ports/editors/jed/pkg-plist,v
retrieving revision 1.9
diff -u -r1.9 pkg-plist
--- pkg-plist	10 Apr 2004 16:07:04 -0000	1.9
+++ pkg-plist	2 May 2005 14:41:46 -0000
@@ -1,29 +1,13 @@
+@comment $FreeBSD$
 bin/jed
-bin/rgrep
 bin/jed-script
+bin/rgrep
 %%NOXJED%%bin/xjed
-%%PORTDOCS%%@unexec install-info --delete --section=3D"Miscellaneous" --en=
try=3D"* JED: (jed).			JED editor documentation." %D/info/jed.info %D/info/=
dir
-%%PORTDOCS%%info/jed.1in
-%%PORTDOCS%%info/jed.2in
-%%PORTDOCS%%info/jed.3in
-%%PORTDOCS%%info/jed.info
-%%PORTDOCS%%@exec install-info --section=3D"Miscellaneous" --entry=3D"* JE=
D: (jed).			JED editor documentation." %D/info/jed.info %D/info/dir
 lib/jed/bin/getmail
-lib/jed/doc/manual/jed.tex
-lib/jed/doc/README
-lib/jed/lib/colors/Xjed/elegant.sl
-lib/jed/lib/colors/Xjed/pastel0.sl
-lib/jed/lib/colors/black1.sl
-lib/jed/lib/colors/black2.sl
-lib/jed/lib/colors/black3.sl
-lib/jed/lib/colors/blue1.sl
-lib/jed/lib/colors/blue2.sl
-lib/jed/lib/colors/blue3.sl
-lib/jed/lib/colors/default1.sl
-lib/jed/lib/colors/white1.sl
-lib/jed/lib/colors/README
+lib/jed/lib/README
 lib/jed/lib/abbrev.sl
 lib/jed/lib/abbrmisc.sl
+lib/jed/lib/aboutjed.hlp
 lib/jed/lib/acompile.sl
 lib/jed/lib/aprocess.sl
 lib/jed/lib/ashell.sl
@@ -39,10 +23,22 @@
 lib/jed/lib/chglog.sl
 lib/jed/lib/cmisc.sl
 lib/jed/lib/cmode.sl
+lib/jed/lib/colors/README
+lib/jed/lib/colors/Xjed/elegant.sl
+lib/jed/lib/colors/Xjed/pastel0.sl
+lib/jed/lib/colors/black1.sl
+lib/jed/lib/colors/black2.sl
+lib/jed/lib/colors/black3.sl
+lib/jed/lib/colors/blue1.sl
+lib/jed/lib/colors/blue2.sl
+lib/jed/lib/colors/blue3.sl
+lib/jed/lib/colors/default1.sl
+lib/jed/lib/colors/white1.sl
 lib/jed/lib/comments.sl
 lib/jed/lib/compat.sl
 lib/jed/lib/compile.sl
 lib/jed/lib/compress.sl
+lib/jed/lib/cpright.hlp
 lib/jed/lib/ctags.sl
 lib/jed/lib/cua.sl
 lib/jed/lib/dabbrev.sl
@@ -53,7 +49,9 @@
 lib/jed/lib/dos437.sl
 lib/jed/lib/dos850.sl
 lib/jed/lib/dos852.sl
+lib/jed/lib/edt.hlp
 lib/jed/lib/edt.sl
+lib/jed/lib/emacs.hlp
 lib/jed/lib/emacs.sl
 lib/jed/lib/emacsmsc.sl
 lib/jed/lib/emul.sl
@@ -62,10 +60,12 @@
 lib/jed/lib/filter.sl
 lib/jed/lib/folding.sl
 lib/jed/lib/fortran.sl
+lib/jed/lib/generic.hlp
 lib/jed/lib/help.sl
 lib/jed/lib/history.sl
 lib/jed/lib/hooks.sl
 lib/jed/lib/html.sl
+lib/jed/lib/ide.hlp
 lib/jed/lib/ide.sl
 lib/jed/lib/idl.sl
 lib/jed/lib/info.sl
@@ -76,6 +76,9 @@
 lib/jed/lib/iso2xxx.sl
 lib/jed/lib/ispell.sl
 lib/jed/lib/javamode.sl
+lib/jed/lib/jed.conf
+lib/jed/lib/jed.hlp
+lib/jed/lib/jed.rc
 lib/jed/lib/jed.sl
 lib/jed/lib/jedhelp.sl
 lib/jed/lib/jedusage.sl
@@ -86,6 +89,7 @@
 lib/jed/lib/latex209.sl
 lib/jed/lib/linux.sl
 lib/jed/lib/lisp.sl
+lib/jed/lib/ltx-comp.dat
 lib/jed/lib/ltx-math.sl
 lib/jed/lib/macro.sl
 lib/jed/lib/mail.sl
@@ -131,6 +135,7 @@
 lib/jed/lib/sendmail.sl
 lib/jed/lib/shell.sl
 lib/jed/lib/shmode.sl
+lib/jed/lib/simple.hlp
 lib/jed/lib/site.sl
 lib/jed/lib/slmode.sl
 lib/jed/lib/sort.sl
@@ -151,59 +156,49 @@
 lib/jed/lib/util.sl
 lib/jed/lib/verilog.sl
 lib/jed/lib/vhdlmode.sl
+lib/jed/lib/vms_shell.com
 lib/jed/lib/vmshelp.sl
 lib/jed/lib/win1250.sl
 lib/jed/lib/wmark.sl
 lib/jed/lib/wmenu.sl
+lib/jed/lib/wordstar.hlp
 lib/jed/lib/wordstar.sl
 lib/jed/lib/yankpop.sl
-lib/jed/lib/ltx-comp.dat
-lib/jed/lib/aboutjed.hlp
-lib/jed/lib/cpright.hlp
-lib/jed/lib/edt.hlp
-lib/jed/lib/emacs.hlp
-lib/jed/lib/generic.hlp
-lib/jed/lib/ide.hlp
-lib/jed/lib/jed.hlp
-lib/jed/lib/simple.hlp
-lib/jed/lib/wordstar.hlp
-lib/jed/lib/jed.rc
-lib/jed/lib/vms_shell.com
-lib/jed/lib/jed.conf
-lib/jed/lib/README
-%%PORTDOCS%%share/doc/jed/abbrev.txt
-%%PORTDOCS%%share/doc/jed/color.txt
-%%PORTDOCS%%share/doc/jed/compile.txt
-%%PORTDOCS%%share/doc/jed/dfa.txt
-%%PORTDOCS%%share/doc/jed/edt.txt
-%%PORTDOCS%%share/doc/jed/emacs.txt
-%%PORTDOCS%%share/doc/jed/filelock.txt
-%%PORTDOCS%%share/doc/jed/fold.txt
-%%PORTDOCS%%share/doc/jed/hooks.txt
-%%PORTDOCS%%share/doc/jed/ide-mode.txt
-%%PORTDOCS%%share/doc/jed/jed_faq.txt
-%%PORTDOCS%%share/doc/jed/jedfuns.txt
-%%PORTDOCS%%share/doc/jed/libfuns.txt
-%%PORTDOCS%%share/doc/jed/linux-keys.txt
-%%PORTDOCS%%share/doc/jed/menus.txt
-%%PORTDOCS%%share/doc/jed/mouse.txt
-%%PORTDOCS%%share/doc/jed/pc-keys.txt
-%%PORTDOCS%%share/doc/jed/program.txt
-%%PORTDOCS%%share/doc/jed/rgrep.txt
-%%PORTDOCS%%share/doc/jed/rmail.txt
-%%PORTDOCS%%share/doc/jed/script.txt
-%%PORTDOCS%%share/doc/jed/syntax.txt
-%%PORTDOCS%%share/doc/jed/undo.txt
-%%PORTDOCS%%share/doc/jed/wjed.txt
-%%PORTDOCS%%share/doc/jed/wordstar.txt
-%%PORTDOCS%%share/doc/jed/xjed.txt
-%%PORTDOCS%%share/doc/jed/xrenderfont.txt
-%%PORTDOCS%%share/doc/jed/yankpop.txt
+%%PORTDOCS%%%%DOCSDIR%%/README
+%%PORTDOCS%%%%DOCSDIR%%/manual/jed.tex
+%%PORTDOCS%%%%DOCSDIR%%/txt/abbrev.txt
+%%PORTDOCS%%%%DOCSDIR%%/txt/color.txt
+%%PORTDOCS%%%%DOCSDIR%%/txt/compile.txt
+%%PORTDOCS%%%%DOCSDIR%%/txt/dfa.txt
+%%PORTDOCS%%%%DOCSDIR%%/txt/edt.txt
+%%PORTDOCS%%%%DOCSDIR%%/txt/emacs.txt
+%%PORTDOCS%%%%DOCSDIR%%/txt/filelock.txt
+%%PORTDOCS%%%%DOCSDIR%%/txt/fold.txt
+%%PORTDOCS%%%%DOCSDIR%%/txt/hooks.txt
+%%PORTDOCS%%%%DOCSDIR%%/txt/ide-mode.txt
+%%PORTDOCS%%%%DOCSDIR%%/txt/jed_faq.txt
+%%PORTDOCS%%%%DOCSDIR%%/txt/jedfuns.txt
+%%PORTDOCS%%%%DOCSDIR%%/txt/libfuns.txt
+%%PORTDOCS%%%%DOCSDIR%%/txt/linux-keys.txt
+%%PORTDOCS%%%%DOCSDIR%%/txt/menus.txt
+%%PORTDOCS%%%%DOCSDIR%%/txt/mouse.txt
+%%PORTDOCS%%%%DOCSDIR%%/txt/pc-keys.txt
+%%PORTDOCS%%%%DOCSDIR%%/txt/program.txt
+%%PORTDOCS%%%%DOCSDIR%%/txt/rgrep.txt
+%%PORTDOCS%%%%DOCSDIR%%/txt/rmail.txt
+%%PORTDOCS%%%%DOCSDIR%%/txt/script.txt
+%%PORTDOCS%%%%DOCSDIR%%/txt/syntax.txt
+%%PORTDOCS%%%%DOCSDIR%%/txt/undo.txt
+%%PORTDOCS%%%%DOCSDIR%%/txt/wjed.txt
+%%PORTDOCS%%%%DOCSDIR%%/txt/wordstar.txt
+%%PORTDOCS%%%%DOCSDIR%%/txt/xjed.txt
+%%PORTDOCS%%%%DOCSDIR%%/txt/xrenderfont.txt
+%%PORTDOCS%%%%DOCSDIR%%/txt/yankpop.txt
+%%PORTDOCS%%@dirrm %%DOCSDIR%%/manual
+%%PORTDOCS%%@dirrm %%DOCSDIR%%/txt
+%%PORTDOCS%%@dirrm %%DOCSDIR%%
 @dirrm lib/jed/bin
 @dirrm lib/jed/lib/colors/Xjed
 @dirrm lib/jed/lib/colors
 @dirrm lib/jed/lib
-@dirrm lib/jed/doc/manual
-@dirrm lib/jed/doc
 @dirrm lib/jed
-%%PORTDOCS%%@dirrm share/doc/jed
Index: files/patch-aa
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
RCS file: files/patch-aa
diff -N files/patch-aa
--- files/patch-aa	23 Feb 2003 06:37:23 -0000	1.3
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,19 +0,0 @@
---- src/Makefile.in.orig	Sun Oct 20 06:55:30 2002
-+++ src/Makefile.in	Thu Feb 20 21:06:23 2003
-@@ -158,7 +158,7 @@
- rgrep: $(OBJDIR)/rgrep
- 	@echo rgrep created in $(OBJDIR)
- $(OBJDIR)/rgrep: $(OBJDIR)/vfile.o $(OBJDIR)/rgrep.o
--	cd $(OBJDIR); $(CC) vfile.o rgrep.o -o rgrep $(LDFLAGS) $(SLANG_LIB) -ls=
lang
-+	cd $(OBJDIR); $(CC) vfile.o rgrep.o -o rgrep $(LDFLAGS) $(SLANG_LIB) -ls=
lang $(TERMCAP_LIB)
- #
- getmail: $(OBJDIR)/getmail
- 	@echo getmail created in $(OBJDIR)
-@@ -186,7 +186,6 @@
- 	$(MKINSDIR) $(DEST_JED_ROOT)/lib
- 	$(MKINSDIR) $(DEST_JED_ROOT)/lib/colors
- 	$(MKINSDIR) $(DEST_JED_ROOT)/lib/colors/Xjed
--	$(MKINSDIR) $(DEST_JED_ROOT)/lib/tm
-=20
- install: all install_directories
- 	$(INSTALL) $(OBJDIR)/jed $(DEST_BIN_DIR)/
Index: files/patch-ab
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
RCS file: files/patch-ab
diff -N files/patch-ab
--- files/patch-ab	23 Feb 2003 06:37:23 -0000	1.1
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,13 +0,0 @@
---- src/jprocess.c.orig	Thu Feb 20 20:19:47 2003
-+++ src/jprocess.c	Thu Feb 20 20:24:36 2003
-@@ -58,7 +58,9 @@
-=20
- #ifdef REALLY_HAVE_TERMIOS_H
- # ifndef __os2__
--#  define USE_PTY
-+#  ifndef __FreeBSD__=20
-+#   define USE_PTY
-+#  endif
- # endif
- #endif
-=20
Index: files/patch-info_jed.1in
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
RCS file: files/patch-info_jed.1in
diff -N files/patch-info_jed.1in
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ files/patch-info_jed.1in	2 May 2005 14:41:46 -0000
@@ -0,0 +1,14 @@
+--- info/jed.1in.orig	Thu Apr 28 15:48:52 2005
++++ info/jed.1in	Thu Apr 28 15:54:43 2005
+@@ -1,6 +1,11 @@
+ This is Info file jed.info, produced by Makeinfo-1.55 from the input
+ file jed.ti.
+=20
++INFO-DIR-SECTION Miscellaneous
++START-INFO-DIR-ENTRY
++* JED: (jed).                  JED editor documentation.
++END-INFO-DIR-ENTRY
++
+ =1F
+ File: jed.info,  Node: Top,  Next: Introduction,  Up: (dir)
+=20
Index: files/patch-info_jed.2in
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
RCS file: files/patch-info_jed.2in
diff -N files/patch-info_jed.2in
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ files/patch-info_jed.2in	2 May 2005 14:41:46 -0000
@@ -0,0 +1,11 @@
+--- info/jed.2in.orig	Thu Apr 28 15:48:58 2005
++++ info/jed.2in	Thu Apr 28 15:55:01 2005
+@@ -1,3 +1,8 @@
++INFO-DIR-SECTION Miscellaneous
++START-INFO-DIR-ENTRY
++* JED: (jed).                  JED editor documentation.
++END-INFO-DIR-ENTRY
++
+ =1F
+ File: jed.info,  Node: Tab Issues.,  Next: Searching,  Prev: Marking Text=
 (Point and Mark),  Up: Basic Editing
+=20
Index: files/patch-info_jed.3in
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
RCS file: files/patch-info_jed.3in
diff -N files/patch-info_jed.3in
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ files/patch-info_jed.3in	2 May 2005 14:41:46 -0000
@@ -0,0 +1,14 @@
+--- info/jed.3in.orig	Thu Apr 28 15:49:03 2005
++++ info/jed.3in	Thu Apr 28 15:55:09 2005
+@@ -1,6 +1,11 @@
+ This is Info file jed.info, produced by Makeinfo-1.55 from the input
+ file jed.ti.
+=20
++INFO-DIR-SECTION Miscellaneous
++START-INFO-DIR-ENTRY
++* JED: (jed).                  JED editor documentation.
++END-INFO-DIR-ENTRY
++
+ =1F
+ File: jed.info,  Node: Setting Keys,  Next: Predefined Variables,  Up: Cu=
stomization
+=20
Index: files/patch-info_jed.info
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
RCS file: files/patch-info_jed.info
diff -N files/patch-info_jed.info
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ files/patch-info_jed.info	2 May 2005 14:41:46 -0000
@@ -0,0 +1,14 @@
+--- info/jed.info.orig	Thu Apr 28 15:48:43 2005
++++ info/jed.info	Thu Apr 28 15:54:22 2005
+@@ -1,6 +1,11 @@
+ This is Info file jed.info, produced by Makeinfo-1.55 from the input
+ file jed.ti.
+=20
++INFO-DIR-SECTION Miscellaneous
++START-INFO-DIR-ENTRY
++* JED: (jed).                  JED editor documentation.
++END-INFO-DIR-ENTRY
++
+ =1F
+ Indirect:
+ jed.1in: 83
Index: files/patch-src_Makefile.in
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
RCS file: files/patch-src_Makefile.in
diff -N files/patch-src_Makefile.in
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ files/patch-src_Makefile.in	2 May 2005 14:41:46 -0000
@@ -0,0 +1,105 @@
+--- src/Makefile.in.orig	Sun Oct 20 03:55:30 2002
++++ src/Makefile.in	Mon May  2 11:38:08 2005
+@@ -27,7 +27,7 @@
+ JED_MAN_FILES =3D ../doc/manual/rgrep.1 ../doc/manual/jed.1=20
+ JED_COLOR_FILES =3D ../lib/colors/*.sl ../lib/colors/README
+ XJED_COLOR_FILES =3D ../lib/colors/Xjed/*.sl
+-JED_INFO_FILES =3D ../info/*
++JED_INFO_FILES =3D ../info/jed.info ../info/jed.info-[0-9]
+=20
+ #------------------------------------------------------------------------=
---
+ # DESTDIR is designed to facilitate making packages.  Normally it is empty
+@@ -148,17 +148,19 @@
+ $(SRCDIR)/syntax.c: $(SRCDIR)/dfasyntx.c
+ 	touch $(SRCDIR)/syntax.c
+ #
++.ifdef XJED
+ xjed : $(OBJDIR) $(CONFIG_H) slangversion $(OBJDIR)/xjed
+ 	@echo xjed created in $(OBJDIR)
+ $(OBJDIR)/xjed : $(OBJS) $(OBJDIR)/xterm.o $(OBJDIR)/vterm.o
+ 	cd $(OBJDIR); \
+ 	$(CC) $(OFILES) xterm.o vterm.o -o xjed $(LDFLAGS) \
+ 	   $(SLANG_LIB) -lslang  $(XLIB) $(XRENDERFONTLIBS)
++.endif
+ #
+ rgrep: $(OBJDIR)/rgrep
+ 	@echo rgrep created in $(OBJDIR)
+ $(OBJDIR)/rgrep: $(OBJDIR)/vfile.o $(OBJDIR)/rgrep.o
+-	cd $(OBJDIR); $(CC) vfile.o rgrep.o -o rgrep $(LDFLAGS) $(SLANG_LIB) -ls=
lang
++	cd $(OBJDIR); $(CC) vfile.o rgrep.o -o rgrep $(LDFLAGS) $(SLANG_LIB) -ls=
lang $(TERMCAP_LIB)
+ #
+ getmail: $(OBJDIR)/getmail
+ 	@echo getmail created in $(OBJDIR)
+@@ -177,21 +179,31 @@
+ install_directories:
+ 	$(MKINSDIR) $(DEST_BIN_DIR)
+ 	$(MKINSDIR) $(DEST_MAN_DIR)
++	$(MKINSDIR) $(DEST_INFO_DIR)
+ 	$(MKINSDIR) $(DEST_JED_ROOT)
+ 	$(MKINSDIR) $(DEST_JED_ROOT)/bin
+-	$(MKINSDIR) $(DEST_JED_ROOT)/info
+-	$(MKINSDIR) $(DEST_JED_ROOT)/doc
+-	$(MKINSDIR) $(DEST_JED_ROOT)/doc/txt
+-	$(MKINSDIR) $(DEST_JED_ROOT)/doc/manual
+ 	$(MKINSDIR) $(DEST_JED_ROOT)/lib
+ 	$(MKINSDIR) $(DEST_JED_ROOT)/lib/colors
+ 	$(MKINSDIR) $(DEST_JED_ROOT)/lib/colors/Xjed
+-	$(MKINSDIR) $(DEST_JED_ROOT)/lib/tm
++.ifndef JED_WITHOUT_DOCS
++	$(MKINSDIR) $(DEST_DOC_DIR)
++	$(MKINSDIR) $(DEST_DOC_DIR)/manual
++	$(MKINSDIR) $(DEST_DOC_DIR)/txt
++.endif
+=20
+ install: all install_directories
++	@${STRIP_CMD} $(OBJDIR)/getmail
++	@${STRIP_CMD} $(OBJDIR)/jed
++	@${STRIP_CMD} $(OBJDIR)/rgrep
++.ifdef XJED
++	@${STRIP_CMD} $(OBJDIR)/xjed
++.endif
++
+ 	$(INSTALL) $(OBJDIR)/jed $(DEST_BIN_DIR)/
+ 	-cd $(DEST_BIN_DIR); ln -sf jed jed-script
++.ifdef XJED
+ 	-$(INSTALL) $(OBJDIR)/xjed $(DEST_BIN_DIR)/
++.endif
+ 	-$(INSTALL) $(OBJDIR)/rgrep $(DEST_BIN_DIR)/
+ 	-$(INSTALL) $(OBJDIR)/getmail $(DEST_JED_ROOT)/bin/
+ 	@for i in $(JED_LIB_FILES); \
+@@ -223,25 +235,27 @@
+ 		$(INSTALL_DATA) $$i $(DEST_MAN_DIR)/; \
+ 		echo $(INSTALL_DATA) $$i $(DEST_MAN_DIR)/; \
+ 	done
++.ifndef JED_WITHOUT_DOCS
+ 	@for i in $(JED_DOC_FILES); \
+ 	do \
+-		$(INSTALL_DATA) $$i $(DEST_JED_ROOT)/doc/; \
+-		echo $(INSTALL_DATA) $$i $(DEST_JED_ROOT)/doc/; \
++		$(INSTALL_DATA) $$i $(DEST_DOC_DIR); \
++		echo $(INSTALL_DATA) $$i $(DEST_DOC_DIR); \
+ 	done
+ 	@for i in $(JED_DOC_TXT_FILES); \
+ 	do \
+-		$(INSTALL_DATA) $$i $(DEST_JED_ROOT)/doc/txt; \
+-		echo $(INSTALL_DATA) $$i $(DEST_JED_ROOT)/doc/txt; \
++		$(INSTALL_DATA) $$i $(DEST_DOC_DIR)/txt; \
++		echo $(INSTALL_DATA) $$i $(DEST_DOC_DIR)/txt; \
+ 	done
+ 	@for i in $(JED_DOC_MAN_FILES); \
+ 	do \
+-		$(INSTALL_DATA) $$i $(DEST_JED_ROOT)/doc/manual; \
+-		echo $(INSTALL_DATA) $$i $(DEST_JED_ROOT)/doc/manual; \
++		$(INSTALL_DATA) $$i $(DEST_DOC_DIR)/manual; \
++		echo $(INSTALL_DATA) $$i $(DEST_DOC_DIR)/manual; \
+ 	done
++.endif
+ 	@for i in $(JED_INFO_FILES); \
+ 	do \
+-		$(INSTALL_DATA) $$i $(DEST_JED_ROOT)/info/; \
+-		echo $(INSTALL_DATA) $$i $(DEST_JED_ROOT)/info/; \
++		$(INSTALL_DATA) $$i $(DEST_INFO_DIR); \
++		echo $(INSTALL_DATA) $$i $(DEST_INFO_DIR); \
+ 	done
+=20
+ # The symlinks target is for my own private use.  It simply creates the o=
bject
Index: files/patch-src_jprocess.c
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
RCS file: files/patch-src_jprocess.c
diff -N files/patch-src_jprocess.c
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ files/patch-src_jprocess.c	2 May 2005 14:41:46 -0000
@@ -0,0 +1,13 @@
+--- src/jprocess.c.orig	Thu Feb 20 20:19:47 2003
++++ src/jprocess.c	Thu Feb 20 20:24:36 2003
+@@ -58,7 +58,9 @@
+=20
+ #ifdef REALLY_HAVE_TERMIOS_H
+ # ifndef __os2__
+-#  define USE_PTY
++#  ifndef __FreeBSD__=20
++#   define USE_PTY
++#  endif
+ # endif
+ #endif
+=20
=3D=3D=3D> Done

--=20
Renato Botelho <freebsd at galle dot com dot br>
AIM: RBGargaBR | ICQ: 54596223
GnuPG Key: http://www.galle.com.br/~renato/pubkey.asc

If you keep anything long enough, you can throw it away.
Comment 4 Jean-Yves Lefort freebsd_committer 2005-05-15 18:51:24 UTC
State Changed
From-To: open->feedback

Your last patch got mangled by your MUA. Could you please resubmit it in 
uuencoded form? Thanks.
Comment 5 Jean-Yves Lefort freebsd_committer 2005-05-15 21:02:03 UTC
State Changed
From-To: feedback->closed

Committed, thanks!